Subject: Re: bug#50814: [PATCH] guix: git-authenticate: Also authenticate the channel intro commit.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 18 Oct 2021 11:10:39 +0200

Hi Attila,

Attila Lendvai <[email-masked]> skribis:

>> i'll investigate again later by running the test without the fix, and write
>> up my results here, or better yet, in a better commit message.
>
> i ran the test without my fix, and indeed it fails at two points:

Sorry, which test is failing?  Is that part of the patches you sent?
I need more context.  :-)

[...]

>> Alright.  Please next time open one issue per topic: that’s a good
>> way to maximize the chances that review happens in a timely fashion.
>> :-)
>
>
> can i mark dependencies between issues/patchsets?
>
> because all that i could do here is split this into two sets of
> commits (because of the dependencies between the commits):
>
> 1) the 3 test commits, and
> 2) the 2 guix commits.
>
> i thought that separating the test that is exhibiting the bug, from
> the fix that fixes it, would only hinder the process.

Yes, in general it’s best to have the test and the fix in the same
commit.

However, at this point, I’m not sure which “bug” we’re talking about.
What you described in your initial message is not a bug in my view:

  https://issues.guix.gnu.org/50814#28

>> I understand the behavior was surprising to you, but I’d like to see
>> if we can pinpoint why.  Can you think of anything that could be
>> added to the documentation?
>
>
> if we assume that everyone reads and internalizes every page of the
> documentation of every software that they use, then i guess nothing
> needs to be added.
>
> but if our goal is to maximize the effectiveness of the users, then no
> amount of static, free-flowing text can compete with a warning that is
> signalled in close context to the issue.

Sure, I agree.

However, you’re clearly a power user at this point :-), and we’re
talking about one of the most sensitive pieces of code in Guix.  I think
it’s important to make sure we’re on the same level of understanding of
the design and current implementation; I also think it’s not
unreasonable to expect channel writers to pay attention to documentation
on these matters.

I’m not saying that we should not change anything, but rather that it’s
not like a simple usability/UX issue.

I hope this makes sense!

Ludo’.